<?php 

if (!defined('FORUM')) die();

if ($section == 'pan_ads_manager')
{
	if (file_exists($ext_info['path'].'/lang/'.$forum_user['language'].'.php') )
		include $ext_info['path'].'/lang/'.$forum_user['language'].'.php';
	else
		include $ext_info['path'].'/lang/English.php';

	if(isset($_POST['save_config']) )
	{
		$form = array_map('trim', $_POST['form']);
		pan_update_options($form);

		$forum_flash->add_info($lang_pan_ads_manager['config_updated']);
		redirect(forum_link($forum_url['pan_ads_manager']), $lang_pan_ads_manager['config_updated']);
	}

	if (isset($_POST['ads_new']))
	{
		$ads_hook = $_POST['ads_hook'];
		$ads_mode = $_POST['ads_mode'];
		$ads_code = $_POST['ads_code'];

		$ads_count_topic = $_POST['ads_count_topic'];
		$ads_count_msg = $_POST['ads_count_msg'];
		$ads_count = $ads_count_topic != '0' ? $ads_count_topic : $ads_count_msg;

		$query = array(
			'INSERT'	=> 'ads_hook, ads_mode, ads_count, ads_code',
			'INTO'		=> 'pan_ads_manager',
			'VALUES'	=> '\''.$forum_db->escape($ads_hook).'\', \''.$ads_mode.'\', \''.$ads_count.'\', \''.$forum_db->escape($ads_code).'\''
		);
		$forum_db->query_build($query) or error(__FILE__, __LINE__);

		PanAdsManagerGenCache();

		$forum_flash->add_info($lang_pan_ads_manager['ads_added']);
		redirect(forum_link($forum_url['pan_ads_manager']), $lang_pan_ads_manager['ads_added']);
	}

	if (isset($_POST['ads_update']))
	{
		$ads_id = $_POST['ads_id'];
		$ads_mode = $_POST['ads_mode'];
		$ads_code = $_POST['ads_code'];
		$ads_count = isset($_POST['ads_count']) ? $_POST['ads_count'] : '0';

		$query = array(
			'UPDATE'	=> 'pan_ads_manager',
			'SET'		=> 'ads_mode=\''.$forum_db->escape($ads_mode).'\', ads_count=\''.$forum_db->escape($ads_count).'\', ads_code=\''.$forum_db->escape($ads_code).'\'',
			'WHERE'		=> 'id='.$ads_id
		);
		$forum_db->query_build($query) or error(__FILE__, __LINE__);

		PanAdsManagerGenCache();

		$forum_flash->add_info($lang_pan_ads_manager['ads_updated']);
		redirect(forum_link($forum_url['pan_ads_manager']), $lang_pan_ads_manager['ads_updated']);
	}

	if (isset($_POST['ads_delete']))
	{
		$ads_id = $_POST['ads_id'];

		$query = array(
			'DELETE'	=> 'pan_ads_manager',
			'WHERE'		=> 'id='.$ads_id
		);
		$forum_db->query_build($query) or error(__FILE__, __LINE__);

		PanAdsManagerGenCache();

		$forum_flash->add_info($lang_pan_ads_manager['ads_deleted']);
		redirect(forum_link($forum_url['pan_ads_manager']), $lang_pan_ads_manager['ads_deleted']);
	}

	$forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;

	$forum_page['crumbs'] = array(
		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
		array($lang_admin_common['Settings'], forum_link($forum_url['admin_settings_setup'])),
		$lang_pan_ads_manager['ads_manager']
	);

	define('FORUM_PAGE_SECTION', 'settings');
	define('FORUM_PAGE', 'admin-pan-ads-manager');
	require FORUM_ROOT.'header.php';

	// START SUBST - <!-- forum_main -->
	ob_start();

	$pan_ads_mode = array(
		'0' => $lang_pan_ads_manager['show_to_nobody'],
		'1' => $lang_pan_ads_manager['show_to_all'],
		'2' => $lang_pan_ads_manager['show_to_guests'],
		'3' => $lang_pan_ads_manager['show_no_admin'],
	);
?>

	<div class="main-content main-frm">

		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_ads_manager']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_ads_manager'])) ?>" />
			</div>

			<div class="content-head">
				<h2 class="hn"><span><?php echo $lang_pan_ads_manager['ads_options'] ?></span></h2>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_ads_manager_referer]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld" name="form[pan_ads_manager_referer]" value="1"<?php if ($forum_config['o_pan_ads_manager_referer'] == '1') echo ' checked="checked"' ?> /></span>
					<label for="fld"><span><?php echo $lang_pan_ads_manager['ads_fttp_referer'] ?></span><?php echo $lang_pan_ads_manager['ads_fttp_referer_i'] ?></label>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_ads_manager_vision]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld" name="form[pan_ads_manager_vision]" value="1"<?php if ($forum_config['o_pan_ads_manager_vision'] == '1') echo ' checked="checked"' ?> /></span>
					<label for="fld"><span><?php echo $lang_pan_ads_manager['ads_visibility'] ?></span><?php echo $lang_pan_ads_manager['ads_visibility_i'] ?></label>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_ads_manager_adblock]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld" name="form[pan_ads_manager_adblock]" value="1"<?php if ($forum_config['o_pan_ads_manager_adblock'] == '1') echo ' checked="checked"' ?> /></span>
					<label for="fld"><span><?php echo $lang_pan_ads_manager['adblock_detector'] ?></span><?php echo $lang_pan_ads_manager['adblock_detector_i'] ?></label>
				</div>
			</div>
			
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="save_config" value="<?php echo $lang_pan_ads_manager['save_config'] ?>" /></span>
			</div>
		</form>


		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_ads_manager']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_ads_manager'])) ?>" />
			</div>

			<div class="content-head">
				<h2 class="hn"><span><?php echo $lang_pan_ads_manager['ads_new_head'] ?></span></h2>
			</div>
<!--All hooks-->
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box select">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_ads_manager['which_page'] ?></span><small><?php echo $lang_pan_ads_manager['which_page_i'] ?></small></label><br />
					<span class="fld-input">
						<select name="ads_hook" onChange="AdsDepends(this)">
<?php
	$ads_hooks_name = array(
		'hd_main_elements'					=> $lang_pan_ads_manager['hd_main_elements'],
		'hd_gen_elements'					=> $lang_pan_ads_manager['hd_gen_elements'],
		'vf_row_pre_display'				=> $lang_pan_ads_manager['vf_row_pre_display'],
		'vt_row_new_post_entry_data'		=> $lang_pan_ads_manager['vt_row_new_post_entry_data'],
		'vt_row_pre_display'				=> $lang_pan_ads_manager['vt_row_pre_display'],
		'vt_quickpost_pre_display'			=> $lang_pan_ads_manager['vt_quickpost_pre_display'],
		'li_login_pre_login_group'			=> $lang_pan_ads_manager['li_login_pre_login_group'],
		'rg_register_pre_group'				=> $lang_pan_ads_manager['rg_register_pre_group'],
		'ft_about_output_start'				=> $lang_pan_ads_manager['ft_about_output_start'],
		'ft_about_end_fixed'				=> $lang_pan_ads_manager['ft_about_end_fixed'],
	);

	foreach($ads_hooks_name as $page_name => $page_desc){
		echo "\t\t\t\t\t\t\t\t".'<option value="'.$page_name.'">'.$page_desc.'</option>'."\n";
	}
?>
						</select>
					</span>
				</div>
			</div>
<!--All Numbers of Topics-->
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>" id="ads-count-topic" style="display: none;">
				<div class="sf-box select">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_ads_manager['topic_number'] ?></span><small><?php echo $lang_pan_ads_manager['topic_number_i'] ?></small></label><br />
					<span class="fld-input"><select id="fld<?php echo $forum_page['fld_count'] ?>" name="ads_count_topic">
					<option value="0" selected="selected"><?php echo $lang_pan_ads_manager['select_list'] ?></option>
<?php
	$disp_posts_default = 0;
	while ($disp_posts_default ++< $forum_config['o_disp_topics_default']) 
	{
	if ($disp_posts_default == $forum_config['o_disp_topics_default']) break;
		echo "\t\t\t\t\t\t\t\t".'<option value="'.$disp_posts_default.'">'.$lang_pan_ads_manager['subject_number'].$disp_posts_default.'</option>'."\n";
	}
?>
					</select></span>
				</div>
			</div>
<!--All Numbers of Posts-->
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>" id="ads-count-msg" style="display: none;">
				<div class="sf-box select">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_ads_manager['msg_number'] ?></span><small><?php echo $lang_pan_ads_manager['msg_number_i'] ?></small></label><br />
					<span class="fld-input"><select id="fld<?php echo $forum_page['fld_count'] ?>" name="ads_count_msg">
					<option value="0" selected="selected"><?php echo $lang_pan_ads_manager['select_list'] ?></option>
<?php
	
	echo "\t\t\t\t\t\t\t\t".'<option value="0">'.$lang_pan_ads_manager['auto_identify'].'</option>'."\n";

	$disp_posts_default = 0;
	while ($disp_posts_default ++< $forum_config['o_disp_posts_default']) 
	{
		if ($disp_posts_default == $forum_config['o_disp_posts_default']) break;
			echo "\t\t\t\t\t\t\t\t".'<option value="'.$disp_posts_default.'">'.$lang_pan_ads_manager['msg_number_list'].$disp_posts_default.'</option>'."\n";
	}
?>
					</select></span>
				</div>
			</div>
<!--Show Whom ?-->
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box select">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_ads_manager['show_whom'] ?></span><small><?php echo $lang_pan_ads_manager['show_whom_i'] ?></small></label><br />
					<span class="fld-input">
						<select name="ads_mode">
<?php
	foreach($pan_ads_mode as $ads_mode => $ads_mode_desc){
		echo "\t\t\t\t\t\t\t\t".'<option value="'.$ads_mode.'">'.$ads_mode_desc.'</option>'."\n";
	}
?>
						</select>
					</span>
				</div>
			</div>
<!--ADS Code-->
			<div class="txt-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="txt-box textarea">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_ads_manager['ads_code'] ?></span><small><?php echo $lang_pan_ads_manager['ads_code_i'] ?></small></label>
					<div class="txt-input"><span class="fld-input"><textarea id="fld<?php echo $forum_page['fld_count'] ?>" name="ads_code" rows="5" cols="55"></textarea></span>
					</div>
				</div>
			</div>

			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="ads_new" value="<?php echo $lang_pan_ads_manager['add_new_block'] ?>" /></span>
			</div>

		</form>

<?php
	$query = array(
		'SELECT'	=> 'id, ads_hook, ads_mode, ads_count, ads_code',
		'FROM'		=> 'pan_ads_manager',
		'ORDER BY'	=> 'ads_hook',
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);

	if ($forum_db->num_rows($result) > 0)
	{
		$forum_page['group_count'] = $forum_page['item_count'] = 0;

		while ($ads_info = $forum_db->fetch_assoc($result))
		{
?>
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_ads_manager']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_ads_manager'])) ?>" />
				<input type="hidden" name="ads_id" value="<?php echo $ads_info['id'] ?>" />
			</div>

			<div class="content-head">
				<h2 class="hn"><span><?php echo $ads_hooks_name[$ads_info['ads_hook']] ?></span></h2>
			</div>
<?php
	if ($ads_info['ads_hook'] == 'vf_row_pre_display')
	{
?>
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box select">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_ads_manager['topic_number'] ?></span><small><?php echo $lang_pan_ads_manager['topic_number_i'] ?></small></label><br />
					<span class="fld-input"><select id="fld<?php echo $forum_page['fld_count'] ?>" name="ads_count">
<?php
		$disp_topics_default = 0;
		while ($disp_topics_default ++< ($forum_config['o_disp_topics_default']-1)) 
		{
			if ($disp_topics_default == $ads_info['ads_count'])
				echo "\t\t\t\t\t\t\t\t".'<option value="'.$disp_topics_default.'" selected="selected">'.$lang_pan_ads_manager['subject_number'].$disp_topics_default.'</option>'."\n";
			else
				echo "\t\t\t\t\t\t\t\t".'<option value="'.$disp_topics_default.'">'.$lang_pan_ads_manager['subject_number'].$disp_topics_default.'</option>'."\n";
		}
?>
					</select></span>
				</div>
			</div>
<?php
	}

	if (in_array($ads_info['ads_hook'], array('vt_row_new_post_entry_data', 'vt_row_pre_display')))
	{
?>
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box select">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_ads_manager['msg_number'] ?></span><small><?php echo $lang_pan_ads_manager['msg_number_i'] ?></small></label><br />
					<span class="fld-input"><select id="fld<?php echo $forum_page['fld_count'] ?>" name="ads_count">

<?php
		if ($ads_info['ads_count'] == 0)
			echo "\t\t\t\t\t\t\t\t".'<option value="0" selected="selected">'.$lang_pan_ads_manager['auto_identify'].'</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t\t".'<option value="0">'.$lang_pan_ads_manager['auto_identify'].'</option>'."\n";

		$disp_posts_default = 0;
		while ($disp_posts_default ++< $forum_config['o_disp_posts_default']-1) 
		{
			if ($disp_posts_default == $ads_info['ads_count'])
				echo "\t\t\t\t\t\t\t\t".'<option value="'.$disp_posts_default.'" selected="selected">'.$lang_pan_ads_manager['msg_number_list'].$disp_posts_default.'</option>'."\n";
			else
				echo "\t\t\t\t\t\t\t\t".'<option value="'.$disp_posts_default.'">'.$lang_pan_ads_manager['msg_number_list'].$disp_posts_default.'</option>'."\n";
		}
?>
					</select></span>
				</div>
			</div>
<?php
	}

?>
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box select">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_ads_manager['show_whom'] ?></span><small><?php echo $lang_pan_ads_manager['show_whom_i'] ?></small></label><br />
					<span class="fld-input">
						<select name="ads_mode">
<?php
	foreach($pan_ads_mode as $ads_mode => $ads_mode_desc){
		if ($ads_mode == $ads_info['ads_mode'])
			echo "\t\t\t\t\t\t\t\t".'<option value="'.$ads_mode.'" selected="selected">'.$ads_mode_desc.'</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t\t".'<option value="'.$ads_mode.'">'.$ads_mode_desc.'</option>'."\n";
	}
?>
						</select>
					</span>
				</div>
			</div>

			<div class="txt-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="txt-box textarea">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_ads_manager['ads_code'] ?></span><small><?php echo $lang_pan_ads_manager['ads_code_i'] ?></small></label>
					<div class="txt-input"><span class="fld-input"><textarea id="fld<?php echo $forum_page['fld_count'] ?>" name="ads_code" rows="5" cols="55"><?php echo $ads_info['ads_code'] ?></textarea></span>
					</div>
				</div>
			</div>

			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="ads_update" value="<?php echo $lang_pan_ads_manager['update_block'] ?>" /></span>
				<span class="submit primary"><input type="submit" name="ads_delete" value="<?php echo $lang_pan_ads_manager['delete_block'] ?>" /></span>
			</div>

		</form>
<?php
		}

	} else {
?>
		<div class="frm-form">
			<div class="ct-box">
				<p><?php echo $lang_pan_ads_manager['no_ads_block'] ?></p>
			</div>
		</div>
<?php
	}
?>
		<div id="info-censored-intro" class="ct-box">
			<p>More information on <a href="https://punbb.info/" target="_blank">PunBB.INFO</a></p>
		</div>

	</div>
<?php

	$tpl_temp = forum_trim(ob_get_contents());
	$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
	ob_end_clean();
	// END SUBST - <!-- forum_main -->

	require FORUM_ROOT.'footer.php';
}
